package com.prolog.cs.biz.inbound.service.rqc;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rqc.RqcReDTO;
import com.prolog.cs.biz.inbound.dto.rqc.RqcRechekHeadersDTO;
import com.prolog.cs.biz.inbound.dto.task.TaskQcRecheckDetailDTO;
import com.prolog.cs.biz.inbound.vo.TaskQcDQueryVO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface RqcRechekHeadersService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add RqcRechekHeadersDTO 
 	*/
	public Object add(RqcRechekHeadersDTO rqcRechekHeadersDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit RqcRechekHeadersDTO 
 	*/
	public Object edit(String pkId,RqcRechekHeadersDTO rqcRechekHeadersDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RqcRechekHeadersDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RqcRechekHeadersDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search RqcRechekHeadersDTO 
 	*/
	public Page<RqcRechekHeadersDTO> findList(RqcRechekHeadersDTO rqcRechekHeadersDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd RqcRechekHeadersDTO 
 	*/
	public Object batchAdd(List<RqcRechekHeadersDTO> rqcRechekHeadersDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit RqcRechekHeadersDTO 
 	*/
	public Object batchEdit(List<RqcRechekHeadersDTO> rqcRechekHeadersDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all RqcRechekHeadersDTO 
 	*/
	public List<RqcRechekHeadersDTO> findAll(RqcRechekHeadersDTO rqcRechekHeadersDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne RqcRechekHeadersDTO 
 	*/
	public RqcRechekHeadersDTO findByPkId(String pkId);

	public Page<TaskQcRecheckDetailDTO> extractRqcReTask(TaskQcDQueryVO taskQcDQueryVO, PageParam pageParam);

	public Object addWithRelated(RqcReDTO rqcReDTO);
}
